javax.ws.rs

## Class RedirectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ws.rs.WebApplicationException
        - - javax.ws.rs.RedirectionException

- All Implemented Interfaces:
    Serializable

      public class RedirectionException
      extends WebApplicationException

  A runtime application exception indicating a request redirection (HTTP `3xx` status codes).
  Since:
    2.0
  Author:
    Marek Potociar
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedirectionException(int status, URI location)` Construct a new redirection exception.
    `RedirectionException(Response.Status status, URI location)` Construct a new redirection exception.
    `RedirectionException(Response response)` Construct a new redirection exception.
    `RedirectionException(String message, int status, URI location)` Construct a new redirection exception.
    `RedirectionException(String message, Response.Status status, URI location)` Construct a new redirection exception.
    `RedirectionException(String message, Response response)` Construct a new redirection exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getLocation()` Get the redirection response location.

    - ### Methods inherited from class javax.ws.rs.WebApplicationException

      `getResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RedirectionException

          public RedirectionException(Response.Status status,
                              URI location)

      Construct a new redirection exception.
      Parameters:
        `status` - redirection status. Must be a `3xx` redirection code.
        `location` - redirection URI placed into the response `Location` header.
      Throws:
        `IllegalArgumentException` - in case the status code is `null` or is not from `Response.Status.Family.REDIRECTION` status code family.

    - #### RedirectionException

          public RedirectionException(String message,
                              Response.Status status,
                              URI location)

      Construct a new redirection exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `status` - redirection status. Must be a `3xx` redirection code.
        `location` - redirection URI placed into the response `Location` header.
      Throws:
        `IllegalArgumentException` - in case the status code is `null` or is not from `Response.Status.Family.REDIRECTION` status code family.

    - #### RedirectionException

          public RedirectionException(int status,
                              URI location)

      Construct a new redirection exception.
      Parameters:
        `status` - redirection status. Must be a `3xx` redirection code.
        `location` - redirection URI placed into the response `Location` header.
      Throws:
        `IllegalArgumentException` - in case the status code is not a valid HTTP status code or if it is not from the `Response.Status.Family.REDIRECTION` status code family.

    - #### RedirectionException

          public RedirectionException(String message,
                              int status,
                              URI location)

      Construct a new redirection exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `status` - redirection status. Must be a `3xx` redirection code.
        `location` - redirection URI placed into the response `Location` header.
      Throws:
        `IllegalArgumentException` - in case the status code is not a valid HTTP status code or if it is not from the `Response.Status.Family.REDIRECTION` status code family.

    - #### RedirectionException

          public RedirectionException(Response response)

      Construct a new redirection exception.
      Parameters:
        `response` - redirection response. Must have a status code set to a `3xx` redirection code.
      Throws:
        `IllegalArgumentException` - in case the response status code is not from the `Response.Status.Family.REDIRECTION` status code family.

    - #### RedirectionException

          public RedirectionException(String message,
                              Response response)

      Construct a new redirection exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `response` - redirection response. Must have a status code set to a `3xx` redirection code.
      Throws:
        `IllegalArgumentException` - in case the response status code is not from the `Response.Status.Family.REDIRECTION` status code family.

  - ### Method Detail

    - #### getLocation

          public URI getLocation()

      Get the redirection response location.
      Returns:
        redirection response location.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.